package Test::Repocop::Report::HTML;
use strict;
use warnings;

use File::Path qw(make_path); # remove_tree
use Test::Repocop::TestDB::Status;

sub copy_repocop_status_patch_images {
    my $destdir=shift;
    make_path($destdir);
    foreach my $img (@Test::Repocop::TestDB::Status::STATUS_ALL, qw/patch/) {
	my $fromfile='/usr/share/repocop/html/'.$img.'.png';
	if (! -e $fromfile) {
	    warn "repocop internal: $fromfile not found";
	    next;
	}
	my $destfile=$destdir.'/'.$img.'.png';
	if (! -e $destfile) {
	    system('cp',$fromfile,$destdir)==0 or warn "copy $fromfile $destdir failed: $!";
	}
    }
}

1;
